Aller au contenu

GET /v1/signature/templates/{id}

GET
/v1/signature/templates/{id}
curl --request GET \
--url https://api.asap.cool/v1/signature/templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Template identifier.

The template.

Media type application/json

Public projection of a [Template].

object
cc_recipients
required

Default Cc recipients.

Array<string>
id
required

Stable identifier.

string format: uuid
labels
required

Default labels.

Array<string>
message

Default request-email message.

string | null
name
required

Human name.

string
subject

Default request-email subject.

string | null
Example generated
{
"cc_recipients": [
"example"
],
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"labels": [
"example"
],
"message": "example",
"name": "example",
"subject": "example"
}

No active org.

Media type application/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string
Example generated
{
"code": "example",
"field": "example",
"message": "example"
}

Missing signature:read scope.

Media type application/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string
Example generated
{
"code": "example",
"field": "example",
"message": "example"
}

Not found or cross-org.

Media type application/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string
Example generated
{
"code": "example",
"field": "example",
"message": "example"
}